# OgreOverlayElementFactory.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreOverlayElement.h"`
`#include "OgrePanelOverlayElement.h"`
`#include "OgreBorderPanelOverlayElement.h"`
`#include "OgreTextAreaOverlayElement.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

class | Ogre::OverlayElementFactory
| Defines the interface which all components wishing to supply OverlayElement subclasses must implement. More...
class | Ogre::PanelOverlayElementFactory
| Factory for creating PanelOverlayElement instances. More...
class | Ogre::BorderPanelOverlayElementFactory
| Factory for creating BorderPanelOverlayElement instances. More...
class | Ogre::TextAreaOverlayElementFactory
| Factory for creating TextAreaOverlayElement instances. More...

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat May 10 16:25:05 2008